/**********************************************************************/
/*   SENDMAIL: Sends EMAIL messages                                   */
/*                                                                    */
/*   This CLIST takes a passed SAFE containing Email commands and     */
/*   sends the Email directly to SMTP without submiting a batch job.  */
/*                                                                    */
/*   Syntax:                                                          */
/*                                                                    */
/*          SENDMAIL smtp_cmd_safe output_message_safe                */
/*                                                                    */
/*   You need to set the smtp_job variable below to your SMTP job.    */
/*                                                                    */
/*   Gary Forghetti                                                   */
/*   Tivoli Product Introduction                                      */
/*   05/25/2000                                                       */
/**********************************************************************/

smtp_job = 'SMTP38'

parse arg smtp_cmd_safe return_safe

/* Allocate the SYSOUT data set                                       */
'PIPE NETV ALLOCATE SYSOUT(B) WRITER('smtp_job') RECFM(VB)',   
                    'LRECL(256) BLKSIZE(2564) FREE',                
           '| VAR MESSAGE'                                          
                                                                    
/* Parse the message from the ALLOCATE command                        */
parse var message msgid ddname .

/* If the allocate was successful (message CNM272I) then write the    */
/* SMTP Email commands to the SYSOUT data set.                        */
if msgid='CNM272I'
   then
       do
         'pipe safe 'smtp_cmd_safe' | qsam (dd) 'ddname
         'pipe lit /EMAIL SENT SUCCESSFULLY/ | safe 'return_safe
         exit 0
       end
   else
       do
       'pipe var message | logto netlog | safe 'return_safe
        exit 12
       end
