/**********************************************************************/
/* SNDMAIL4 - This clist is called from the automation table to send  */
/*            the message being automated to an email ID.             */
/*                                                                    */
/*            The email ID must be passed to this clist as the 1st    */
/*            argument.                                               */
/*                                                                    */
/* * Sample automation table statement                                */
/*                                                                    */
/* IF MSGID='xxxxxxx' THEN                                            */
/*    EXEC(CMD('SNDMAIL4 yyyyyyyyyy@yyyyyy.yyy'))                     */
/*                                                                    */
/* * Where xxxxxxxx is the message to automate and to email           */
/* *       yyyyyyyyyy@yyyyyy.yyy is the email ID                      */
/*                                                                    */
/* Gary Forghetti                                                     */
/* 05/25/2000                                                         */
/* Tivoli Product Introduction                                        */
/*                                                                    */
/**********************************************************************/

parse arg email_id

wvar.1="helo SMTP"
wvar.2="mail from:<"opid()"@"cursys()">"
wvar.3="rcpt to:<"email_id">"
wvar.4="data"
wvar.5="Date:    "date('n')" "time()" LCL"
wvar.6="From:    "opid()" - NetView Domain "domain()" - "cursys()
wvar.7="To:      "email_id
wvar.8="Subject: Automation Alert"
wvar.9="The following message has been sent to you from the NetView"
wvar.10="automation table:"
wvar.11=" "
wvar.0=11

/* Append automation message into the email message                  */
'pipe safe * | stem wvar. append'

/* Terminate Message Body with period                                */
'pipe lit /./ | stem wvar. append'

/* Append SMTP QUIT command to stem                                  */
'pipe lit /QUIT/ | stem wvar. append'

/* Create a SAFE from stem variable                                  */
'pipe stem wvar. | safe SMTPSAFE'

/* Call sendmail to send the Email                                   */
'sendmail SMTPSAFE RTRNSAFE'

/* Check return code, if not zero display message in RTRNSAFE        */
if rc <> 0
   then
       'pipe safe RTRNSAFE | collect | console'
